Subject: Re: [PATCH 0/3] cat-file: add %(objectmode) and submodule message to batch commands

From: Junio C Hamano <[email-masked]>
Date: Wed, 04 Jun 2025 07:43:21 -0700

"Victoria Dye via GitGitGadget" <[email-masked]> writes:

> This series re-attempts the changes proposed last year [1] for extending the
> information about tree entries available from the 'cat-file' batch format
> commands. It also (hopefully) addresses the initial round of feedback that
> series received.
>
> The first patch updates 't1006-cat-file.sh' to test non-OID object
> specifications. In response to the feedback in [2], I added more careful
> quoting and a couple tests using paths with spaces. This change revealed a
> (likely known) limitation of the '%(rest)' atom when processing object names
> with spaces. To make that limitation explicit, I marked the relevant test as
> expected to fail.
>
> The second patch adds "mode" support. This is essentially unchanged from its
> initial submission, save for some conflict resolution in the test script.
>
> The final patch takes a different approach to submodule resolution than the
> initial submission; rather than treat the entry as a "regular" commit object
> with empty content, we now print an error message similar to the "missing",
> "ambiguous", etc. cases, but with the tree entry's OID rather than the input
> object name.

I did not send any line-by-line reviews, but after reading these
patches I didn't see anything questionable.  Unless we see others
comments that need to be addressed, let's merge it to 'next' in
preparation for the next cycle.

Thanks.